.TH "opal_cmd_line_init_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal_cmd_line_init_t \- Datatype used to construct a command line handle; see \fBopal_cmd_line_create()\fP.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <cmd_line.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "const char * \fBocl_mca_type_name\fP"
.br
.RI "\fIIf want to set an MCA parameter, set its type name here. \fP"
.ti -1c
.RI "const char * \fBocl_mca_component_name\fP"
.br
.RI "\fIIf want to set an MCA parameter, set its component name here. \fP"
.ti -1c
.RI "const char * \fBocl_mca_param_name\fP"
.br
.RI "\fIIf want to set an MCA parameter, set its parameter name here. \fP"
.ti -1c
.RI "char \fBocl_cmd_short_name\fP"
.br
.RI "\fI'Short' name (i.e., '-X', where 'X' is a single letter) \fP"
.ti -1c
.RI "const char * \fBocl_cmd_single_dash_name\fP"
.br
.RI "\fI'Single dash' name (i.e., '-foo'). \fP"
.ti -1c
.RI "const char * \fBocl_cmd_long_name\fP"
.br
.RI "\fILong name (i.e., '--foo'). \fP"
.ti -1c
.RI "int \fBocl_num_params\fP"
.br
.RI "\fINumber of parameters that this option takes. \fP"
.ti -1c
.RI "void * \fBocl_variable_dest\fP"
.br
.RI "\fIIf this parameter is encountered, its *first* parameter it saved here. \fP"
.ti -1c
.RI "\fBopal_cmd_line_type_t\fP \fBocl_variable_type\fP"
.br
.RI "\fIIf an ocl_variable_dest is given, its datatype must be supplied as well. \fP"
.ti -1c
.RI "const char * \fBocl_description\fP"
.br
.RI "\fIDescription of the command line option, to be used with \fBopal_cmd_line_get_usage_msg()\fP. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Datatype used to construct a command line handle; see \fBopal_cmd_line_create()\fP. 
.PP
.SH "Field Documentation"
.PP 
.SS "const char* \fBopal_cmd_line_init_t::ocl_cmd_single_dash_name\fP"
.PP
'Single dash' name (i.e., '-foo'). 
.PP
The use of these are discouraged. 
.SS "const char* \fBopal_cmd_line_init_t::ocl_mca_component_name\fP"
.PP
If want to set an MCA parameter, set its component name here. 
.PP
WARNING: This MCA tuple (type, component, param) will eventually be replaced with a single name! 
.SS "const char* \fBopal_cmd_line_init_t::ocl_mca_param_name\fP"
.PP
If want to set an MCA parameter, set its parameter name here. 
.PP
WARNING: This MCA tuple (type, component, param) will eventually be replaced with a single name! 
.SS "const char* \fBopal_cmd_line_init_t::ocl_mca_type_name\fP"
.PP
If want to set an MCA parameter, set its type name here. 
.PP
WARNING: This MCA tuple (type, component, param) will eventually be replaced with a single name! 
.SS "void* \fBopal_cmd_line_init_t::ocl_variable_dest\fP"
.PP
If this parameter is encountered, its *first* parameter it saved here. 
.PP
If the parameter is encountered again, the value is overwritten. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
